$cubic-bezier: cubic-bezier(.4, 2.08, .55, .44);

.clock {
  @extend .img-circle;
  @extend .center-block;
  background: #fff url('/images/svg/clock.svg') no-repeat center;
  @include background-size(88%);
  position: relative;
  height: 7em;
  width: 7em;
  padding-bottom: 31%;

  &.simple:after {
    @extend .img-circle;
    @include transform(translate(-50%, -50%));
    @include positioning($top: 50%, $left: 50%, $position: absolute, $z-index: 10);
    background: #000;
    content: '';
    width: 5%;
    height: 5%;
  }
}

.clock-container {
  @include border-radius(25px);
  padding: 7px;
  width: 7em;
  vertical-align: middle;
}

.minutes-container, .hours-container, .seconds-container {
  @include positioning(0, 0, 0, 0, absolute);
}

.hours {
  @include hand(20%, 1.5px, 50%, 30%, 100%);
}

.minutes {
  @include hand(40%, 1.5px, 50%, 10%, 100%);
}

.seconds {
  @include hand(45%, 1px, 49.5%, 14%, 80%, 8);
}

.minutes {
  @include transition(transform, 0.3s, $cubic-bezier);
}

.seconds {
  @include transition(transform, 0.2s, $cubic-bezier);
}